<html>
  <head>
    <title>Express</title>
    <!--   <link rel="stylesheet" href="/stylesheets/style.css">
  <link rel="stylesheet" href="/stylesheets/bootstrap.min.css">
  <script src="/javascripts/jquery.min.js"></script>
  <script src="/javascripts/popper.min.js"></script> -->
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  </head>

  <body>
    <div class="jumbotron text-center">
      <h1>Login page tools</h1>
      <p>Resize this responsive page to see the effect!</p>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-sm-12">
          <form>
            <div class="form-group">
              <label for="email">Email address</label>
              <input
                type="email"
                class="form-control"
                id="email"
                aria-describedby="emailHelp"
                placeholder="Enter email"
                value=""
              />
              <small id="emailHelp" class="form-text text-muted"
                >We'll never share your email with anyone else.</small
              >
            </div>
            <div class="form-group">
              <label for="password">Password</label>
              <input
                type="password"
                class="form-control"
                id="password"
                placeholder="Password"
                value=""
              />
            </div>
            <button type="button" class="btn btn-primary" id="btn_login">
              Submit
            </button>
          </form>
        </div>
      </div>
    </div>
  </body>
  <script src="socket.io.js"></script>
  <script>
    var socket = io.connect();

    localStorage.setItem("access_token", "");
    localStorage.setItem("expires_in", "");

    $("#btn_login").click(function () {
      const email = $("#email").val();
      const password = $("#password").val();
      console.log("eiei " + email);
      console.log("eiei " + password);
      login(email, password);
    });

    $("#btn_check").click(function () {
      const access_token = localStorage.getItem("access_token");
      const expires_in = localStorage.getItem("expires_in");
      console.log(access_token);
      console.log(expires_in);
    });

    function login(email, password) {
      $.ajax({
        url: "users/login",
        method: "POST",
        dataType: "json",
        data: {
          email: email,
          password: password,
        },
        success: function (data, status, xhr) {
          if (xhr.status == 200 && data.result == true) {
            localStorage.setItem("access_token", data.access_token);
            localStorage.setItem("expires_in", data.expires_in);
            //window.location.replace("dashboard");
          }
          console.log(data);
          console.log(status);
          console.log(xhr.status);
        },
        error: function (xhr, ajaxOptions, thrownError) {
          console.log(xhr.status);
          console.log(thrownError);
        },
      });
    }
  </script>
</html>
